path: /build/build/starship-app-shells-1.19.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-libressl" emerge app-shells/starship -pv -t && \
    USE="-libressl" emerge -j ${JOBS} --nodeps app-shells/starship
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/starship && luet-portage --dir /pkgdir/starship
    app-shells/starship && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:2d3165091db861cad53f5ba6e1ca1006043630bb45b45c12ea750018a60a7aec
  package:
    name: starship
    version: 1.19.0
    category: app-shells
    use_flags:
    - -libressl
    requires:
    - name: macaroni-funtoo-race11
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: The minimal, blazing-fast, and infinitely customizable prompt for
      any shell
    uri:
    - https://github.com/starship/starship
    license: ISC
    buildtimestamp: 2024-05-22 10:22:10.817380965 +0000 UTC m=+382.488989008
    labels:
      BDEPEND: virtual/rust >=virtual/rust-1.37.0
      DEPEND: libressl? ( dev-libs/libressl:0= ) !libressl? ( dev-libs/openssl:0=
        ) sys-libs/zlib:=
      IUSE: libressl debug
      RDEPEND: libressl? ( dev-libs/libressl:0= ) !libressl? ( dev-libs/openssl:0=
        ) sys-libs/zlib:=
      emerge.packages: app-shells/starship
      kit: core-kit
      original.package.name: app-shells/starship
      original.package.slot: "0"
      original.package.version: 1.19.0
    treedir: /build/packages
  package_dir: /pkgdir/starship
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: cfc8b164f6a979896da34c9ebc0ea447c60011dd3595d95601d9a8442350971a
compressiontype: zstd
files:
- usr/bin/starship
- usr/share/doc/starship-1.19.0/README.md.bz2
- var/db/pkg/app-shells/starship-1.19.0/BDEPEND
- var/db/pkg/app-shells/starship-1.19.0/BUILD_TIME
- var/db/pkg/app-shells/starship-1.19.0/CATEGORY
- var/db/pkg/app-shells/starship-1.19.0/CBUILD
- var/db/pkg/app-shells/starship-1.19.0/CC
- var/db/pkg/app-shells/starship-1.19.0/CFLAGS
- var/db/pkg/app-shells/starship-1.19.0/CHOST
- var/db/pkg/app-shells/starship-1.19.0/CONTENTS
- var/db/pkg/app-shells/starship-1.19.0/COUNTER
- var/db/pkg/app-shells/starship-1.19.0/CXXFLAGS
- var/db/pkg/app-shells/starship-1.19.0/DEFINED_PHASES
- var/db/pkg/app-shells/starship-1.19.0/DEPEND
- var/db/pkg/app-shells/starship-1.19.0/DESCRIPTION
- var/db/pkg/app-shells/starship-1.19.0/EAPI
- var/db/pkg/app-shells/starship-1.19.0/FEATURES
- var/db/pkg/app-shells/starship-1.19.0/HOMEPAGE
- var/db/pkg/app-shells/starship-1.19.0/INHERITED
- var/db/pkg/app-shells/starship-1.19.0/IUSE
- var/db/pkg/app-shells/starship-1.19.0/IUSE_EFFECTIVE
- var/db/pkg/app-shells/starship-1.19.0/KEYWORDS
- var/db/pkg/app-shells/starship-1.19.0/LDFLAGS
- var/db/pkg/app-shells/starship-1.19.0/LICENSE
- var/db/pkg/app-shells/starship-1.19.0/NEEDED
- var/db/pkg/app-shells/starship-1.19.0/PF
- var/db/pkg/app-shells/starship-1.19.0/RDEPEND
- var/db/pkg/app-shells/starship-1.19.0/REQUIRES
- var/db/pkg/app-shells/starship-1.19.0/SIZE
- var/db/pkg/app-shells/starship-1.19.0/SLOT
- var/db/pkg/app-shells/starship-1.19.0/USE
- var/db/pkg/app-shells/starship-1.19.0/environment.bz2
- var/db/pkg/app-shells/starship-1.19.0/repository
- var/db/pkg/app-shells/starship-1.19.0/starship-1.19.0.ebuild
package_cacheimage: ""
runtime:
  name: starship
  version: 1.19.0
  category: app-shells
  use_flags:
  - -libressl
  requires:
  - name: zlib
    version: '>=0'
    category: sys-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: The minimal, blazing-fast, and infinitely customizable prompt for any
    shell
  uri:
  - https://github.com/starship/starship
  license: ISC
  labels:
    BDEPEND: virtual/rust >=virtual/rust-1.37.0
    DEPEND: libressl? ( dev-libs/libressl:0= ) !libressl? ( dev-libs/openssl:0= )
      sys-libs/zlib:=
    IUSE: libressl debug
    RDEPEND: libressl? ( dev-libs/libressl:0= ) !libressl? ( dev-libs/openssl:0= )
      sys-libs/zlib:=
    emerge.packages: app-shells/starship
    kit: core-kit
    original.package.name: app-shells/starship
    original.package.slot: "0"
    original.package.version: 1.19.0
